edu.msu.cme.rdp.classifier.train.validation.movingwindow

## Class FindWindowFrame

- java.lang.Object
- - edu.msu.cme.rdp.classifier.train.validation.movingwindow.FindWindowFrame

    public class FindWindowFrame
    extends java.lang.Object

### Field Summary

Fields
`static int` `step`
`static int` `window_size`

### Constructor Summary

Constructors
Constructor and Description
`FindWindowFrame()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.ArrayList` `find(java.lang.String seqString)` Given the aligned E.coli seqstring, find the corresponding model position for each window.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### window_size

    public static final int window_size

See Also:
  Constant Field Values

#### step

    public static final int step

See Also:
  Constant Field Values

### Constructor Detail

#### FindWindowFrame

    public FindWindowFrame()

### Method Detail

#### find

    public java.util.ArrayList find(java.lang.String seqString)
                             throws java.io.IOException

Given the aligned E.coli seqstring, find the corresponding model position for each window. The model position and the ecoli position starts with 1

Throws:
  `java.io.IOException`